package api.common.pojo.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class MinioParameter {

    @NotNull(message = "文件不能")
    private MultipartFile file;
    @NotBlank(message ="bucket 名称不能为空！")
    private String bucketName;
    @NotBlank(message ="object 名称不能为空！")
    private String objectName;
}
