package com.css.simulation.resource.scheduler.feign;

import api.common.pojo.common.ResponseBodyVO;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;

@RestController
public class DemoController {

    @Resource
    private DemoService demoService;

    @PostMapping("/upload")
    public ResponseBodyVO<String> upload(
            @RequestParam("file") MultipartFile multipartFile,
            @RequestParam("bucketName") String bucketName,
            @RequestParam("objectName") String objectName
    ) {
        return demoService.upload(multipartFile, bucketName, objectName);
    }
}
