package com.css.simulation.resource.scheduler.feign.fallback;

import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.scheduler.feign.DemoService;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

@Service
public class DemoServiceFallback implements DemoService {

    @Override
    public ResponseBodyVO<String> upload(MultipartFile multipartFile, String bucketName, String objectName) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }
}
