package api.common.pojo.param;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class RedisParameter {
    @NotBlank(message ="key 不能为空！")
    private String key;
    @NotBlank(message ="value 不能为空！")
    private String value;
}
