package com.css.simulation.oauth.server.cofiguration.security;


import com.css.simulation.oauth.server.mapper.UserMapper;
import com.css.simulation.oauth.server.pojo.po.UserPO;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class MyUserDetailsService implements UserDetailsService {

    @Resource
    private UserMapper userMapper;

    @Override
    public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
        UserPO userPO = userMapper.selectByUsername(username);
        return new MyUserDetails(
                userPO.getUsername(),
                userPO.getPassword()
        );
    }


}
